Get Quote
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/operations/custodian-quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direction": "WITHDRAWAL",
"amount": 1.84,
"executionMode": "NORMAL",
"paymentMethod": "BREB",
"symbolOrigin": "USDC",
"symbolDestination": "COP"
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/operations/custodian-quote"
payload = {
"direction": "WITHDRAWAL",
"amount": 1.84,
"executionMode": "NORMAL",
"paymentMethod": "BREB",
"symbolOrigin": "USDC",
"symbolDestination": "COP"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
direction: 'WITHDRAWAL',
amount: 1.84,
executionMode: 'NORMAL',
paymentMethod: 'BREB',
symbolOrigin: 'USDC',
symbolDestination: 'COP'
})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/operations/custodian-quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"direction": "WITHDRAWAL",
"paymentMethod": "BREB",
"amountOrigin": 1.84,
"amountDestination": 2500.5,
"symbolOrigin": "USDC",
"symbolDestination": "COP",
"calculatedValues": {
"calculateRate": 3261.14,
"CostInfra": 3500,
"amountReceive": 2500.5
}
}Liquidity Ramps
Get Quote
By consuming this endpoint you can calculate the ramp details by providing the desired parameters. The response body will show the calculated ramp details based on them.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token that authenticates the request. |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| amount | float | Yes | This is the amount you will operate and send. |
| direction | string | Yes | The type of order/ ramp you will create (“DEPOSIT”: if you have Fiat and want to receive stablecoin; “WITHDRAWAL”: if you have stablecoin and want to receive Fiat). |
| symbolOrigin | string | Yes | The symbol of the token/fiat you will send us (COP, USD, USDC, COPM). |
| symbolDestination | string | Yes | The symbol of the token/fiat we will send you (COP, USD, USDC, COPM). |
| executionMode | string | Yes | Defines how the amount is interpreted. Accepts two values: “NORMAL”, the amount corresponds to the symbolOrigin, meaning you fix the value you want to send and the system calculates the amount to be received in symbolDestination. “INVERSE” , the amount corresponds to the symbolDestination, meaning you fix the value you want to receive and the system calculates the amount to be debited in symbolOrigin. |
| paymentMethod | string | Yes | The channel used to move the funds. Select the value that matches your operation type and currency. Allowed values: BREB, PSE, SWIFT, WIRE. |
Response
The response for this request is a JSON object representing the quote.
| Field | Description |
|---|---|
| amountOrigin | This is the amount you will operate and send to us. |
| amountDestination | This is the amount that we will send and you will receive as a result of your operation. |
| costInfra | This is the infrastructure use cost applied to your transaction in FIAT. This is Kravata’s earning for providing the services you are using, and delivering the best experience possible with them. It will be calculated based on the amount sent. |
| calculateRate | This is the rate used for calculating the amount to receive and the infrastructure use cost. |
| symbolOrigin | The symbol of the token/fiat you will send us (COP, USD, USDC, COPM). |
| symbolDestination | The symbol of the token/fiat we will send you (COP, USD, USDC, COPM). |
| withdrawalFee | Withdrawal costs related to the transaction. |
| direction | The type of order/ ramp you will create (“DEPOSIT”: if you have Fiat and want to receive stablecoin; “WITHDRAWAL”: if you have stablecoin and want to receive Fiat). |
POST
/
api
/
v1
/
admin
/
operations
/
custodian-quote
Get Quote
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/operations/custodian-quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direction": "WITHDRAWAL",
"amount": 1.84,
"executionMode": "NORMAL",
"paymentMethod": "BREB",
"symbolOrigin": "USDC",
"symbolDestination": "COP"
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/operations/custodian-quote"
payload = {
"direction": "WITHDRAWAL",
"amount": 1.84,
"executionMode": "NORMAL",
"paymentMethod": "BREB",
"symbolOrigin": "USDC",
"symbolDestination": "COP"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
direction: 'WITHDRAWAL',
amount: 1.84,
executionMode: 'NORMAL',
paymentMethod: 'BREB',
symbolOrigin: 'USDC',
symbolDestination: 'COP'
})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/operations/custodian-quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"direction": "WITHDRAWAL",
"paymentMethod": "BREB",
"amountOrigin": 1.84,
"amountDestination": 2500.5,
"symbolOrigin": "USDC",
"symbolDestination": "COP",
"calculatedValues": {
"calculateRate": 3261.14,
"CostInfra": 3500,
"amountReceive": 2500.5
}
}Authorizations
Access token from POST /api/v1/client/token.
Body
application/json

